Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 971621 - Book factory stuck waiting on WebDAV backend view stop
Summary: Book factory stuck waiting on WebDAV backend view stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 00:20 UTC by David Jaša
Modified: 2014-01-02 09:07 UTC (History)
4 users (show)

Fixed In Version: evolution-data-server-2.32.3-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 05:14:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
evolution backtrace (42.35 KB, text/plain)
2013-06-07 14:44 UTC, David Jaša
no flags Details
e-addressbook-factory backtrace (9.02 KB, text/plain)
2013-06-07 14:47 UTC, David Jaša
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 0 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description David Jaša 2013-06-07 00:20:31 UTC
Description of problem:
evolution UI blocks for several seconds after the at sign '@' is typed for the first time into recipients fields of new message.

I've got two auto-completion "accounts" set up: caldav and ldap. I tried to disable one of them at time but no apparent change of behaviour happened so I can't tell if any of them is the culprit or if the behaviour is reproducible regardless of the account type.

Version-Release number of selected component (if applicable):
evolution-2.32.3-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. have auto-completion configured
2. type an email address fluently
3.

Actual results:
once you type '@' character, evo UI stops responding for a while for few seconds, if you continue typing without feedback, few shorter blocks will follow.
All the characters entered while the UI doesn't respond will be printed once the UI starts responding again.

Expected results:
Evolution UI never blocks, any IO should be performed in a separate thread.
Optimally user should be notified somehow (in this case by appearing of drop-down menu with a spinning wheel)

Additional info:

Comment 1 David Jaša 2013-06-07 14:44:21 UTC
Created attachment 758179 [details]
evolution backtrace

Comment 2 David Jaša 2013-06-07 14:47:46 UTC
Created attachment 758192 [details]
e-addressbook-factory backtrace

Comment 3 David Jaša 2013-06-07 14:50:48 UTC
It looks that evo blocks on getting information from WebDAV addressbook. If the function names are to be trusted to describe what happens, main thread of evolution is getting synchronously autocompletion data from addressbook from main thread...

Comment 4 Milan Crha 2013-06-07 15:01:34 UTC
I'm moving this to eds, because the issue is there. Evolution only tries to create a new book view, a DBus object, which should be pretty quick, but because of the addressbook factory being stuck and waiting on the end of a previous book view object from the webdav book, it cannot respond. A solution (and a good rule) is to not block factory's UI for a long/unpredictable time.

Comment 12 errata-xmlrpc 2013-11-21 05:14:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.